import { EventEmitter, OnInit } from '@angular/core';
import { EditorConfig } from 'vcomply-editor';
import { AuthService } from '../../../workflow-services/auth.service';
import { PolicyService } from '../../../workflow-services/policy.service';
import * as i0 from "@angular/core";
export declare class ApprovalCreateFormComponent implements OnInit {
    private authService;
    private policyService;
    ASSETS: {
        responsibility_center: string;
        case_type: string;
        case_category: string;
        when: string;
        what: string;
        case_resolution_deadline: string;
        case_assignees: string;
        format_evidence: string;
        case_owners: string;
        link_controls: string;
        link_items: string;
        spreadsheet_multiple_category: string;
        recommended_action: string;
        risks: string;
        exception_type: string;
        priority: string;
        associated_risks: string;
        oversight: string;
        add_risk_more_option: string;
        lables: string;
        reviewer: string;
        checkpoints: string;
        assessments: string;
        objectives: string;
        audit: string;
        roles: string;
        approval: string;
        recurring: string;
        lock_scope: string;
        custom_fields: string;
        link_risks: string;
        placeholder: string;
        add_logic: string;
        image_choice: string;
        logic_image_choice: string;
        thank_you_image: string;
        upload: string;
        select_users: string;
        everyone_as_per_category: string;
        bulb: string;
        enter_icon: string;
        im_creating: string;
        notes: string;
        attestations: string;
        risk_category: string;
        issue_type: string;
        type: string;
        search_data: string;
        approval_workflow: string;
        sequential: string;
        round_robin: string;
        anyone: string;
        collaborator: string;
    };
    enableApprovalCreate: boolean;
    enableApprovalLevel: boolean;
    enablePolicyCategory: boolean;
    workflowName: string;
    selectApprovalPayload: any[];
    createApprovalPayload: any[];
    approvalWorkflows: any[];
    filteredCategory: any[];
    levels: number;
    categoryConfig: {
        panelTitle: string;
        floatingTextSingular: string;
        floatingTextPlural: string;
        searchPlaceholder: string;
        searchEnabled: boolean;
        selectAllEnabled: boolean;
        workflow: string;
    };
    selectedCat: any[];
    editApprovalData: any[];
    editIndex: number;
    createDescription: string;
    selectedCategoryId: any[];
    approvalName: any;
    isSaving: boolean;
    mode: 'CREATE' | 'EDIT';
    approverDetails: any;
    approverWorkFlowList: any;
    enableCreateForm: boolean;
    allApprovers: any;
    selectedCategory: any;
    editWorkflowLevel: any;
    saveApprovalWorkflow: EventEmitter<any>;
    closeCreateClicked: EventEmitter<any>;
    constructor(authService: AuthService, policyService: PolicyService);
    description: EditorConfig;
    ngOnInit(): void;
    createApprovalAction(event: any): void;
    addLevelsClicked(event: any): void;
    getCategoryId(category: any): void;
    saveCategoryList(event: any): void;
    filterSelectedCategory(selectedCategory: any): void;
    removeCategory(event: any): void;
    closeCategoryList(): void;
    enableCategory(event: boolean): void;
    closeSelectApprover(): void;
    selectedApprover(event: any): void;
    deleteLevel(index: any): void;
    checkLevel(): void;
    editApproval(approval: any, index: any): void;
    closeCreateForm(): void;
    nextClick(): void;
    removeMemberNameKey(): void;
    generatePayload(): void;
    private setDefaultValues;
    createNewWorkflow(payload: any): void;
    _editWorkflow(payload: any): void;
    populateApprover(): void;
    closeForm(): void;
    deselectUser(approver: any, index: any): void;
    approvalNameSelection(type: any, event: boolean): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ApprovalCreateFormComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ApprovalCreateFormComponent, "app-approval-create-form", never, { "mode": { "alias": "mode"; "required": false; }; "approverDetails": { "alias": "approverDetails"; "required": false; }; "approverWorkFlowList": { "alias": "approverWorkFlowList"; "required": false; }; "enableCreateForm": { "alias": "enableCreateForm"; "required": false; }; "allApprovers": { "alias": "allApprovers"; "required": false; }; "selectedCategory": { "alias": "selectedCategory"; "required": false; }; "editWorkflowLevel": { "alias": "editWorkflowLevel"; "required": false; }; }, { "saveApprovalWorkflow": "saveApprovalWorkflow"; "closeCreateClicked": "closeCreateClicked"; }, never, never, false, never>;
}
